v4.3.49 - 2025-06-19
--------------------

### Correction de dysfonctionnements ###
- fiche lieu de conservation/contenant : correction des libellés pour les contenants accueillis/possédés (#6368)


### Technique ###
- correction de la définition de la localisation complète lors d'un conditionnement sans contenant associé (ne devrait pas survenir mais des incohérences dans la base de données peuvent subsister)


v4.3.48 - 2025-06-18
--------------------

### Fonctionnalités/améliorations ###
- Exporteurs de media : tous les médias attachés à un élément peuvent maintenant être exportés depuis sa fiche. Cet export is grandement configurable : gestion des permissions, requête filtrante, export en cascade, convention de nommage, types de média (images, fichiers or les deux), image haure résolution ou miniature.


v4.3.47 - 2025-06-17
--------------------

### Technique ###
- recherches - index de recherche brut : meilleure gestion des termes avec espaces


v4.3.46 - 2025-06-13
--------------------

### Correction de dysfonctionnements ###
- sites : retrait de l'action rapide « ajout d'opérations » (#6329)
- formulaire de modification par lots :
    - unité d'enregistrement : correction du champ parcelle (#6353)
    - mobilier :
        - corretion du champ dénomination - entête et disponibilité (#6352)


v4.3.45 - 2025-06-13
--------------------

### Fonctionnalités/améliorations ###
- formulaire opération : l'année peut démarrer depuis l'an 0


### Correction de dysfonctionnements ###
- patrons de documents - mobilier : eviter de surcharger le champ « description » par la description du mobilier d'origine
- regénération du QRCode quand le fichier est manquant - meilleur échelle pour le QRCode


v4.3.44 - 2025-05-29
--------------------

### Correction de dysfonctionnements ###
- administration: correction des import/export geojson - gestion des fourniseurs manquants


v4.3.43 - 2025-05-27
--------------------

### Correction de dysfonctionnements ###
- administration: correction des import/export geojson


v4.3.42 - 2025-05-15
--------------------

### Correction de dysfonctionnements ###
- correction de l'historique de localisation du mobilier pour les prêts


v4.3.41 - 2025-05-15
--------------------

### Technique ###
- `migrate_search_queries_v4_2`: script de migration v4.2 pour les recherches


v4.3.40 - 2025-05-13
--------------------

### Correction de dysfonctionnements ###
- patrons de document : correction de la génération de qrcode pour le mobilier (#6314)

### Technique ###
- commande de gestion:
    - `dump_towns`, `load_towns`: nouveau format pour l'initialisation des communes
    - `import_geofla_csv`, `import_insee_comm_csv`: journalisation, meilleure interface ligne de commande


v4.3.39 - 2025-05-06
--------------------

### Correction de dysfonctionnements ###
- correction de l'autocomplétion des unités d'enregistrement pour correspondre aux requêtes de recherche


v4.3.38 - 2025-05-05
--------------------

### Correction de dysfonctionnements ###
- correction de recherches ouvertes pour certains champs spécifiques


v4.3.37 - 2025-05-02
--------------------

### Fonctionnalités/améliorations ###
- opérations - recherche/formulaire pas à pas : suppression des contraintes sur les types de personnes/organisations (#6303)


### Correction de dysfonctionnements ###
- formulaire pas à pas de personnes : correction de la création/modification


v4.3.36 - 2025-04-29
--------------------

### Correction de dysfonctionnements ###
- correction de l'ajout rapide de l'organisation, de la personne sur des formulaires pas à pas (#6279, #6280)
- correction de la disponibilité des boutons d'ajout rapide (personne, organisation) pour traitements et demandes de traitements (#6300)


v4.3.35 - 2025-04-28
--------------------

### Correction de dysfonctionnements ###
- listes des anciens imports: correction de la pagination (#6268)


v4.3.34 - 2025-04-25
--------------------

### Fonctionnalités/améliorations ###
- opération - édition par lot : ajout du champ commentaire


### Correction de dysfonctionnements ###
- formulaires : correction de la disponibilité des types désactivés sur les champs multivalués (#6266)


v4.3.33 - 2025-04-23
--------------------

### Correction de dysfonctionnements ###
- correction de l'export des tables avec des champs personnalisés dans la recherche (#6292)
- formulaire mobilier pour les instances non-musée
    - correction du libellé « Marquage » (#6273)
    - correction de l'affichage de l'identifiant musée (#6286)
- formulaires personnalisés : correction de l'édition des chhamps personnalisés


v4.3.32 - 2025-04-03
--------------------

### Corrections de dysfonctionnements ###
- correction de l'export table (mauvais filtre de permissions)
- correction de l'export table avec la syntaxe '|' pour les colonnes en export


v4.3.31 - 2025-03-24
--------------------

### Corrections de dysfonctionnements ###
- correction des formulaires personnalisés pour des actes administratifs (#6238, #6239)
- lieux de conservation : association automatique de la ville de l'organisation si aucune ville n'est fournie (#6192)
- fiches - données géographiques :
    - correction du libellé sur la vue carte pour les marqueurs (#6234)
    - amélioration de l'affichage des données dans le tableau


### Technique ###
- formulaires pas à pas : amélioration des performances lorsque de nombreux éléments sont rattachés
- formulaires personnalisés - administration : meilleur filtre pour les champs JSON


v4.3.30 - 2025-03-19
--------------------

### Fonctionnalités/améliorations ###
- si l'utilisateur ignore 10 fois le message d'information sur la nouvelle version, il ne l'affiche plus
- fiches :
    - refactorisation de la liste des documents - ajout des actions d'édition et de détachement (#6221)
 - compte : affichage des éléments attachés (#6208)
 - sites archéologiques : affichage des unités d'enregistrement liées (#6147)
- mise à jour par lot des opérations : ajout du bouton pour ajouter un collaborateur (#6219)
- autocomplétion d'opération : recherche plus ouverte sur le code
- expositions : possibilité de lier des documents (#6222)
- recherche par critères : rattachement à l'utilisateur - permissions (#6208)
- imports : bouton de correspondance en couleur (avertissement)


### Corrections de dysfonctionnements ###
- fiches :
    - correction des permissions rattachées (#6183)
    - compte : correction du lien pour l'action d'édition rapide
    - compte : correction de l'affichage des permissions pour les traitements/demandes de traitement (#6186)
    - personne : correction de la ville précise de l'organisation (#6169)
- formulaire de type de traitement : correction du filtre du type de traitement par disponibilité (#6143)
- mise à jour par lot des sites archéologiques : correction de l'étiquette de l'en-tête (#6220)
- formulaires de mise à jour par lot : correction du bouton d'ajout en fonction des nouvelles permissions
- dossiers archéologiques :
    - patrons de documents : ajout de la variable `unit_label` pour les coûts génériques d'équipement (#6218)
    - gestiondes jours ouvrés pour les échéances (#6218)
- mobilier : formulaire de déplacement rapide - libellés plus explicites (#6164)
- formulaires de parcelles : amélioration du message d'aide (#6194)
- correction des associations géographiques pour les contenants et les lieux de conservation (#6192)
- formulaire de compte : correction des champs titre, zones et personne (#6190)
- simplification des formulaires pas à pas personne - types de personnes sur le formulaire principal
- acte administratif : correction du libellé de référence interne (#6185)
- autocompletion de mobilier : ne pas afficher les mobilier avec traitement en aval (#6178)
- actions rapides opération : ne pas afficher l'action « relation aux sites » si le module site n'est pas activé (#6215)
- recherche de personne : correction de la recherche par types de personne (#6191)


### Technique ###
- correction de gros problèmes de performance sur les permissions quand trop d'éléments sont attachés
- correction de mauvaise aggrégation de polygone pour les zones multi-communes (#6234)
- acte administratif : « destiné à » peut maintenant être multi-valué (#6210)
- commande de gestion - `ishtar_update_permissions` : ajout de l'option `--force`


v4.3.29 - 2025-03-07
--------------------

### Fonctionnalités/améliorations ###
- imports : bouton « correspondance » en couleur


### Corrections de dysfonctionnements ###
- recherche par critères : correction de la requête de date exacte pour les champs de type date, heure, minute (#6206)
- redirection vers la fiche compte après l'édition du compte


### Technique ###
- RGPD :
    - commande de nettoyage
    - administration : ajout de l'ID de la personne au listing personnes RGPD


v4.3.28 - 2025-02-28
--------------------

### Corrections de dysfonctionnements ###
- formulaires : correction de la gestion des champs json avec formulaires groupés, permissions limitées et formulaires personnalisés


v4.3.27 - 2025-02-25
--------------------

### Fonctionnalités/améliorations ###
- fiche compte : ajout de l'action de gestion de compte
- compte : redirection vers la fiche de compte après l'enregistrement


### Corrections de dysfonctionnements ###
- formulaire édition rapide : correction de la gestion des messages d'erreur
- autocomplétion : correspondance exacte en premier - parent inclus à la recherche
- administration : correction du bouton précédent/suivant


v4.3.26 - 2025-02-25
--------------------

### Fonctionnalités/améliorations ###
- notes biographiques :
    - fiche : ajout des champs personnalisés
    - formulaire : gestion des champs personnalisés
    - administration : recherche, exportation CSV et amélioration du formulaire


### Corrections de dysfonctionnements ###
- fiche mobilier : correction de l'affichage de l'état du traitement (#6200)
- recherche traitement : correction de la recherche par type de document (#6198)


v4.3.25 - 2025-02-24
--------------------

### Fonctionnalités/améliorations ###
- traitements :
    - ajout de critères de recherche
    - refactorisation des états de traitement : distinction entre l'état de saisie et l'état de traitement (#6182)


v4.3.24 - 2025-02-19
--------------------

### Corrections de dysfonctionnements ###
- permissions : correction du filtrage des colonnes sur les exports


v4.3.23 - 2025-02-18
--------------------

### Fonctionnalités/améliorations ###
- administration :
    - amélioration des boutons suivant/précédent,
    - importeurs colonnes - création données par défaut pour type d'importateur et numéro de la colonne


### Corrections de dysfonctionnements ###
- correction des fiches mobilier musée
- imports : correction de la concaténation pour les données non textuelles
- permissions : correction de la syntaxe '"{AREA}"' (#6125)


v4.3.22 - 2025-02-17
--------------------

### Fonctionnalités/améliorations ###
- recherche opération : ajout du champ « Résultat considéré comme négatif »
- expositions :
    - ajout du champ description
    - fiche panier : affichage des expositions associées
    - création d'une exposition depuis un panier


### Corrections de dysfonctionnements ###
- permissions: fix author and biographical notes permission generation (refs #6187)


v4.3.21 - 2025-02-11
--------------------

### Fonctionnalités/améliorations ###
- import SIG : ne pas créer d'élément géographique si l'élément principal est déjà un élément géographique
- éléments géo : ajout de la date d'acquisition - supprimer le lien obligatoire vers un autre élément


v4.3.20 - 2025-02-10
--------------------

### Fonctionnalités/améliorations ###
- recherches par ville, par zone pour les personnes, les organisations, les dossiers archéologiques, les enregistrements de contexte, les entrepôts et les conteneurs (#6095)


### Corrections de dysfonctionnements ###
- nombreuses corrections sur les permissions (#6068, #6098, #6099, #6100, #6104, #6109, #6110, #6115, #6118, #6125)
- correction de l'absence de traduction de la page d'accueil pour les nouvelles instances (#6136)


v4.3.19 - 2025-01-31
--------------------

### Fonctionnalités/améliorations ###
- administration - meilleure gestion des clés de rapprochement :
    - import/export
    - lien possible avec tous les utilisateurs/importateurs


### Corrections de bugs ###
- suppression des clés de rapprochement lorsque l'importeur associé disparait


v4.3.18 - 2025-01-28
--------------------

### Corrections de bugs ###
- notice de traitement : correction de l'affichage des références (#6150)
- notice de lieu de conservation : désactivation des statistiques lorsque trop de conteneurs sont attachés
- correction de la vérification des permissions rattachées (#6126)
- correction des permissions d'affichage des personnes (#6146)


v4.3.17 - 2025-01-23
--------------------

### Technique ###
- traitements : renommage du champ "Autre référence" en "Référence"
- traitements : gestion les imports


v4.3.16 - 2025-01-20
--------------------

### Corrections de bugs ###
- permissions :
    - gestion les formulaires d'ajout/modification rapides (#6101)
    - notice permission : correction des listes de traitements (#6124)
    - ajout de permission pour l'objet créé par l'utilisateur (#6118)
    - correction du contrôle de permission pour les actions (#6126)
- imports : correction de la liste de correspondances
- correction de la génération des libellés pour le mobilier d'origine


v4.3.15 - 2024-12-13
--------------------

### Corrections de bugs ###
- modèles de document : correction des valeurs du panier associé aux demandes de traitement et aux traitements


v4.3.14 - 2024-12-11
--------------------

### Corrections de bugs ###
- permissions : correction des droits spécifiques en administration

### Technique ###
- correction de la fonction "get own" pour les notices biographiques (ancien fonctionnement)


v4.3.13 - 2024-12-11
--------------------

### Fonctionnalités/améliorations ###
- CSS - mode sombre
- nouvelle couche de carte : IGN cadastral

### Corrections de bugs ###
- formulaires personnalisés : correction de la réorganisation des formulaire et des formlaire d'ajout
- administration : correction du formulaire données géo
- formulaire de création rapide de lieu de conservation : correction de l'enregistrement


v4.3.12 - 2024-12-01
--------------------

### Fonctionnalités/améliorations ###
- ajout de la notion d'exposition (modèle de données, formulaires)


v4.3.11 - 2024-11-28
--------------------

### Fonctionnalités/améliorations ###
- profil du site : possibilité de définir la localisation par défaut des traitements

### Technique ###
- ajout du nom du profil au contexte par défaut de l'assistant

### Corrections de bugs ###
- correction du modèle des dossiers lorsqu'aucun filtre n'est fourni


v4.3.10 - 2024-11-25
--------------------

### Corrections de bugs ###
- simplification et correction de la gestion des permissions amonts
- permissions amonts: obtention des permissions de contenants à partir du mobilier


v4.3.9 - 2024-11-24
-------------------

### Corrections de bugs ###
- la récupération de flux du forum échoue silencieusement en cas d'erreur de réseau
- correction d'une mauvaise évaluation dans l'assistant pour les permissions rattachées


v4.3.8 - 2024-11-20
-------------------

### Fonctionnalités/améliorations ###
- filtres de notices : possibilité de configurer plusieurs clés en utilisant le séparateur « ; »

### Corrections de bugs ###
- correction des permissions pour les actes administratifs

v4.3.7 - 2024-11-20
-------------------

### Fonctionnalités/améliorations ###
- administration : message d'avertissement lorsque plusieurs requêtes pour permission ont été définies pour le même type de profil

### Corrections de bugs ###
- correction des permissions pour l'acte d'administration


v4.3.6 - 2024-11-20
-------------------

### Corrections de bugs ###
- correction d'accès aux actions pour les permissions
- message plus explicite en cas de permissions insuffisantes

v4.3.5 - 2024-11-17
-------------------

### Fonctionnalités/améliorations ###
- filtrer les notices par type de profil
- recherche : ajout de l'opérateur ET avec la notation « && »

v4.3.4 - 2024-11-15
-------------------

### Corrections de bugs ###
- correction de l'évaluation des droits pour les menus - correction de l'initialisation de formulaires

v4.3.3 - 2024-11-14
--------------------

### Technique ###
- renommage de "requêtes de permission"
- notice filtrées - filtres, notices : modèle, admin


v4.3.2 - 2024-11-13
--------------------

### Corrections de bugs ###
- correction des permissions rattachées pour les notices
- traduction de termes en administration


v4.3.1 - 2024-11-13
--------------------

### Fonctionnalités/améliorations ###
- gestion des permissions :
    - utilisation de requêtes
    - date d'expiration des profils
    - autorisations de suppression spécifiques (qui ne sont plus liées à la modification)
- recherche : ajout de l'opérateur OU avec la notation « || »


### Technique ###
- gestion des permissions :
    - refactorisation de la possession (directe, à la création, avec panier)
    - refactorisation de l'héritage
    - refactorisation de l'association de zones géographiques
- syntaxe spéciale pour utiliser l'identifiant dans la recherche « id:1234 » (utilisée par le mécanisme de gestion des permissions)
